import 'package:json_annotation/json_annotation.dart';

import '../../bean/analyze_choice_item.dart';

part 'intimacy_reply_analyze_response.g.dart';

/// 识图回复响应
@JsonSerializable()
class IntimacyReplyAnalyzeResponse {
  /// 回复列表
  @JsonKey(name: "list")
  List<String>? list;

  IntimacyReplyAnalyzeResponse(
    this.list,
  );

  factory IntimacyReplyAnalyzeResponse.fromJson(Map<String, dynamic> json) =>
      _$IntimacyReplyAnalyzeResponseFromJson(json);

  Map<String, dynamic> toJson() => _$IntimacyReplyAnalyzeResponseToJson(this);
}
